![RAN](https://user-images.githubusercontent.com/694940/29736531-6ab509e8-8a02-11e7-8e61-66e5ea4e29b8.png)
### RAN : React . GraphQL . Next.js Toolkit

[![Backers on Open Collective](https://opencollective.com/ran/backers/badge.svg)](https://opencollective.com/ran/) [![Sponsors on Open Collective](https://opencollective.com/ran/sponsors/badge.svg)](https://opencollective.com/ran/)
[![Greenkeeper badge](https://badges.greenkeeper.io/Sly777/ran.svg)](https://greenkeeper.io/) [![All Contributors](https://img.shields.io/badge/all_contributors-4-orange.svg?style=flat-square)](#contributors) [![Join the chat at https://gitter.im/ran-boilerplate/Lobby](https://badges.gitter.im/ran-boilerplate/Lobby.svg)](https://gitter.im/ran-boilerplate/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge) [![Build Status](https://travis-ci.org/Sly777/ran.svg?branch=master)](https://travis-ci.org/Sly777/ran) [![license](https://img.shields.io/github/license/sly777/ran.svg)]()<br/>
[![Code Climate](https://codeclimate.com/github/Sly777/ran/badges/gpa.svg)](https://codeclimate.com/github/Sly777/ran) [![Known Vulnerabilities](https://snyk.io/test/github/sly777/ran/badge.svg)](https://snyk.io/test/github/sly777/ran) [![npm](https://img.shields.io/npm/v/ran-boilerplate.svg)](https://www.npmjs.com/package/ran-boilerplate) [![styled with prettier](https://img.shields.io/badge/styled_with-prettier-ff69b4.svg)](https://github.com/prettier/prettier) [![GitHub stars](https://img.shields.io/github/stars/sly777/ran.svg?style=social&label=Stars)](https://github.com/Sly777/ran)

## Features

- ***Hot-Reload Ready for Dev***

- ***Next Generation JavaScript (ES6)***

- ***Offline Ready (Experimental!)***

- ***Next Generation CSS (CSS-in-JS)***

- ***Create New Page in a Second (with CLI)***

- ***SEO-Ready***

- ***Performance-first***

- ***Production Deployment Ready for Now, Digital Ocean and Heroku***

- ***Prettier and ESLint integrated***

## How to use

- Firstly, clone the repo with this command.

```bash
git clone --depth=1 https://github.com/Sly777/ran.git RAN
cd RAN
yarn && yarn setup
```

- If you are not using Yarn, just run ```npm install && npm run setup``` instead of ```yarn && yarn setup```
- After everything is finished, run ```yarn dev``` (or ```npm run dev```)

And that's all!

#### Clean Setup (without example pages & components)

```bash
git clone --depth=1 https://github.com/Sly777/ran.git RAN
cd RAN
yarn && yarn setup:clean
```

#### Beta Version (Unstable)

Also, there is a ```beta``` version for new features & fixes that we are testing before release. To access beta;

```bash
git clone --depth=1 -b beta https://github.com/Sly777/ran.git RAN_beta
cd RAN_beta
yarn && yarn setup
```

It can be unstable, so that's why please use stable version if you are working on the project that is in production.

## Example

[Click here](https://ran.now.sh/) to see example project to understand how RAN! works on production. I used [graph.cool](https://graph.cool/) service for GraphQL and [now](https://zeit.co/now) for hosting in the example.

## Commands

Best feature of RAN! is **CL commands**. You can just run one command to create page with route! [Click here](docs/Commands.md) to see details how It works on RAN!.

![YAY](https://media.giphy.com/media/l0Iy6nmyS5p7hIAso/giphy.gif)
![YAYY](https://media.giphy.com/media/26vIfscbQhVK7ML5u/giphy.gif)

## Documentation

[Click here](https://www.rantoolkit.com/) to see all details of RAN!

## FAQ

[Click here](docs/FAQ.md) for FAQ of RAN! If it doesn't solve your problem, feel free to open an issue on GitHub!

## License

This project is licensed under the MIT license, Copyright (c) 2017 Ilker Guller. For more information see [LICENSE.md](LICENSE.md).

## Contributing

Please read [Contributing doc](docs/Contributing.md) for details on our code of conduct, and the process for submitting pull requests.

## Versioning

RAN! is using [SemVer](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://github.com/Sly777/ran/tags).

## Author

* **Ilker Guller** - [website](http://ilkerguller.com) / [twitter](https://twitter.com/the_bluescreen)

## Contributors

Thanks goes to these wonderful people:

<a href="graphs/contributors"><img src="https://opencollective.com/ran/contributors.svg?width=890" /></a>

### Backers

Thank you to all our backers! [[Become a backer](https://opencollective.com/ran#backer)]

<a href="https://opencollective.com/ran#backers" target="_blank"><img src="https://opencollective.com/ran/backers.svg?width=890"></a>


### Sponsors

Thank you to all our sponsors! (please ask your company to also support this open source project by [becoming a sponsor](https://opencollective.com/ran#sponsor))

<a href="https://opencollective.com/ran/sponsor/0/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/ran/sponsor/1/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/ran/sponsor/2/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/ran/sponsor/3/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/ran/sponsor/4/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/ran/sponsor/5/website" target="_blank"><img src="https://opencollective.com/ran/sponsor/5/avatar.svg"></a>
